export class Item{
    /**
     * 是否可以点击或者触摸
     */
     protected _canTouch = true;

     /**
      * 节点包含数据
      */
      protected _data;

     /**
      * cocos节点
      */
     protected _node;

     set canTouch(canTouch : boolean){
        this._canTouch = canTouch;
    }

    get canTouch(){
        return this._canTouch;
    }

    set data(data){
        this._data = data;
    }

    get data(){
        return this._data;
    }

    set node(node){
        this._node = node;
    }

    get node(){
        return this._node;
    }
}